CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [Optionen]

Verschiedene Befehlszeilenschnittstellen, nützlich zur Fehlersuche in Calibre. Ohne Optionen startet dieser Befehl den eingebetteten Python-Interpreter. Du kannst auch die Calibre Haupt- GUI, den Calibre E-Book-Betrachter oder den Calibre-Editor im Fehlersuchmodus starten.

Es verfügt ebenfalls über Schnittstellen zu verschiedenen Calibre-Teilen, die keine abgestimmten Befehlszeilenwerkzeuge enthalten, wie Schriftart-Subsetting, das E-book-Diff-Werkzeug und so weiter.

Du kannst auch calibre-debug verwenden um einzelne Skripte auszuführen. Wenn es dazu wie folgt: calibre-debug myscript.py -- --option1 --option2 file1 file2 ...

Alles nach -- wird an das Skript übergeben.

Wann immer Sie Argumente mit Leerzeichen an calibre-debug weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

[OPTIONEN]

--add-simple-plugin
    Eine einfache Erweiterung (d. h. eine nur aus einer *.py-Datei bestehende Erweiterung) hinzufügen durch Angabe des Pfads zur *.py-Datei, die den Erweiterungscode enthält.

--command, -c
    Python-Code ausführen.

--debug-device-driver, -d
    Fehlerdiagnose bei Geräteerkennung

--default-programs
    Calibre in Windows als Standardprogramm festlegen bzw. entfernen. --default-programs = (register|unregister)

--diff
    Calibre-Dateivergleichswerkzeug ausführen. Beispiel: calibre-debug --diff Datei1 Datei2

--edit-book, -t
    Bucheditor im Fehlerdiagnosemodus starten.

--exec-file, -e
    Python-Code in der Datei ausführen.

--explode-book, -x
    Explode the book into the specified folder. Usage: -x file.epub output_dir Exports the book as a collection of HTML files and metadata, which you can edit using standard HTML editing tools. Works with EPUB, AZW3, HTMLZ and DOCX files.

--export-all-calibre-data
    Export all calibre data (books/settings/plugins). Normally, you will be asked for the export folder and the libraries to export. You can also specify them as command line arguments to skip the questions. Use absolute paths for the export folder and libraries. The special keyword "all" can be used to export all libraries.

--fix-multiprocessing
    Zur internen Verwendung

--gui, -g
    Ausführen der grafischen Benutzeroberfläche im Fehlerdiagnosemodus. Die Diagnoseausgabe wird an Stdout und Stderr ausgegeben.

--gui-debug
    Grafische Benutzeroberfläche mit einer Fehlerdiagnosekonsole ausführen und im angegebenen Verzeichnis protokollieren. Nur zur internen Verwendung. Verwenden Sie die Option "-g", um die Benutzeroberfläche im Fehlerdiagnosemodus auszuführen

--help, -h
    Diesen Hilfetext anzeigen und beenden.

--implode-book, -i
    Packen Sie ein zuvor entpacktes Buch. Verwendung: -i output_dir file.epub Importiert das Buch aus den Dateien in output_dir, die durch einen vorherigen Aufruf von --explode-book erstellt wurden. Achten Sie darauf, dass Sie den gleichen Dateityp angeben, der beim Entpacken verwendet wurde.

--import-calibre-data
    Zuvor exportierte Calibre-Daten importieren

--inspect-mobi, -m
    MOBI-Datei(en) im/in den angegebenen Verzeichnis(sen) untersuchen

--paths
    Ausgabe der für die Einrichtung von Calibres Umgebungsvariablen notwendigen Verzeichnispfade

--reinitialize-db
    Neuinitialisierung der SQLite-Calibre-Datenbank im angegebenen Verzeichnis. Hilfreich zur Wiederherstellung einer defekten Datenbank.

--run-plugin, -r
    Eine Erweiterung ausführen, die eine Befehlszeilenschnittstelle bereitstellt. Zum Beispiel: calibre-debug -r "Bücher hinzufügen" -- Datei1 --option1 Alles nach -- wird der Erweiterung als Argumente übergeben.

--shutdown-running-calibre, -s
    Eine laufende Calibre-Instanz - falls vorhanden - beenden. Beachten Sie, dass dabei ggf. laufende Aufträge ohne Rückfrage abgebrochen werden. Also bitte mit Vorsicht verwenden.

--subset-font, -f
    Angegebene eingebettete Schriftart reduzieren. Verwenden Sie -- nach dieser Option, um Optionen an das Programm für die Schriftartreduzierung zu übergeben.

--test-build
    Binäre Module des Builds überprüfen

--version
    Programmversion anzeigen und beenden

--viewer, -w
    eBook-Betrachter im Fehlerdiagnosemodus ausführen

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal